Bug 31246 - Обновить до версии из Сизифа (9.9.7-alt2)
: Обновить до версии из Сизифа (9.9.7-alt2)
Status: CLOSED FIXED
: Branch p7
(All bugs in Branch p7/bind)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2015-08-31 21:46 by
Modified: 2015-09-10 16:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-08-31 21:46:41
Между 9.9.3-alt3 (текущая в p7) и 9.9.7-alt2 исправлено несколько CVE. Вообще,
версия 9.9.7-alt2 у меня в p7 установилась и работает, так что, по идее, можно
и скопировать. Но не плохо бы ещё учесть bug 31241. Думаю, для бранча он более
актуален, чем для Сизифа.
------- Comment #1 From 2015-09-03 12:00:38 -------
Я сделал 
#148759 TESTED #3 [test-only] p7 bind.git=9.9.7-alt1.M70P.1
dhcp.git=4.3.1-alt2.M70P.1

но пока не уверен, что это что-нибудь не разломает. Гоша, что можешь
посоветовать?
------- Comment #2 From 2015-09-03 12:28:13 -------
--disable-newstats бы ещё, по крайней мере, в бранч. За dhcp не скажу, но у
Bind, вроде бы, проблем нет с конфигом от 9.9.3-alt3.
------- Comment #3 From 2015-09-10 16:36:52 -------
bind-9.9.7-alt1.M70P.1 -> p7:

* Tue Sep 01 2015 Andrey Cherepanov <cas@altlinux> 9.9.7-alt1.M70P.1
- Backport new version to p7 branch (ALT #31246)

* Wed Jul 29 2015 Fr. Br. George <george@altlinux> 9.9.7-alt2
- Update to ftp://ftp.isc.org/isc/bind9/9.9.7-P2/bind-9.9.7-P2.tar.gz

* Tue Jul 28 2015 Fr. Br. George <george@altlinux> 9.9.7-alt1
- Update to ftp://ftp.isc.org/isc/bind9/9.9.7-P1/bind-9.9.7-P1.tar.gz
- CVE-2015-5477 fix

* Thu Dec 11 2014 Fr. Br. George <george@altlinux> 9.9.6-alt2
- Update to ftp://ftp.isc.org/isc/bind9/9.9.6-P1/bind-9.9.6-P1.tar.gz

* Tue Nov 18 2014 Fr. Br. George <george@altlinux> 9.9.6-alt1
- Update to ftp://ftp.isc.org/isc/bind9/9.9.6/bind-9.9.6.tar.gz
- Fix old style autoheader AC_DEFINE
- Enable ratelimits (Closes: #30398)
- Provide initial rndc_keygen (Closes: #28034)

* Mon Oct 06 2014 Fr. Br. George <george@altlinux> 9.9.5-alt3
- Build with GSSAPI

* Tue Jun 17 2014 Fr. Br. George <george@altlinux> 9.9.5-alt2
- Updated to ftp://ftp.isc.org/isc/bind9/9.9.5-P1/bind-9.9.5-P1.tar.gz

* Mon Feb 03 2014 Fr. Br. George <george@altlinux> 9.9.5-alt1
- Update to ftp://ftp.isc.org/isc/bind9/9.9.5/bind-9.9.5.tar.gz
- Don't package bind9-config (in favour of lib*-export)

* Thu Nov 28 2013 Fr. Br. George <george@altlinux> 9.9.4-alt2
- Update to ftp://ftp.isc.org/isc/bind9/9.9.4-P1/bind-9.9.4-P1.tar.gz
- (CVE-2013-6230 is fixed in this version)

* Tue Oct 01 2013 Fr. Br. George <george@altlinux> 9.9.4-alt1
- Update to ftp://ftp.isc.org/isc/bind9/9.9.4/bind-9.9.4.tar.gz